# IvyArtifact

API Documentation: | `IvyArtifact`

Note: This class is incubating and may change in a future version of Gradle.

An artifact published as part of a `IvyPublication`.

### Properties

Property | Description
`classifier` | Incubating The classifier used to publish the artifact file. A `null` value (the default) indicates that this artifact will be published without a classifier.
`conf` | Incubating A comma separated list of public configurations in which this artifact is published. The '*' wildcard is used to designate that the artifact is published in all public configurations. A `null` value (the default) indicates that this artifact will be published without a conf attribute.
`extension` | Incubating The extension used to publish the artifact file, never `null`. For an artifact without an extension, this value will be an empty String.
`file` | Incubating The actual file contents to publish.
`name` | Incubating The name used to publish the artifact file, never `null`. Defaults to the name of the module that this artifact belongs to.
`type` | Incubating The type used to publish the artifact file, never `null`.

### Property details

#### `String` `classifier`

Note: This property is incubating and may change in a future version of Gradle.

The classifier used to publish the artifact file. A `null` value (the default) indicates that this artifact will be published without a classifier.

#### `String` `conf`

Note: This property is incubating and may change in a future version of Gradle.

A comma separated list of public configurations in which this artifact is published. The '*' wildcard is used to designate that the artifact is published in all public configurations. A `null` value (the default) indicates that this artifact will be published without a conf attribute.

#### `String` `extension`

Note: This property is incubating and may change in a future version of Gradle.

The extension used to publish the artifact file, never `null`. For an artifact without an extension, this value will be an empty String.

#### `File` `file` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The actual file contents to publish.

#### `String` `name`

Note: This property is incubating and may change in a future version of Gradle.

The name used to publish the artifact file, never `null`. Defaults to the name of the module that this artifact belongs to.

#### `String` `type`

Note: This property is incubating and may change in a future version of Gradle.

The type used to publish the artifact file, never `null`.

### Script blocks

No script blocks

### Methods

Method | Description
`builtBy(tasks)` | Incubating Registers some tasks which build this artifact.

### Method details

#### `void` `builtBy`(``Object`...` tasks)

Note: This method is incubating and may change in a future version of Gradle.

Registers some tasks which build this artifact.